<?php

namespace Path;

/**
 * Class which returns the class map definition
 * @package Path
 */
class PathClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'GetLoanDataByToken' => '\\Path\\pathStructType\\PathGetLoanDataByToken',
            'ArrayOfString' => '\\Path\\pathArrayType\\PathArrayOfString',
            'GetLoanDataByTokenResponse' => '\\Path\\pathStructType\\PathGetLoanDataByTokenResponse',
            'ResultValues' => '\\Path\\pathStructType\\PathResultValues',
            'ArrayOfLoanKeyValuePair' => '\\Path\\pathArrayType\\PathArrayOfLoanKeyValuePair',
            'LoanKeyValuePair' => '\\Path\\pathStructType\\PathLoanKeyValuePair',
            'SetLoanDataByToken' => '\\Path\\pathStructType\\PathSetLoanDataByToken',
            'ArrayOfLoanKeyValuePair1' => '\\Path\\pathArrayType\\PathArrayOfLoanKeyValuePair1',
            'SetLoanDataByTokenResponse' => '\\Path\\pathStructType\\PathSetLoanDataByTokenResponse',
            'ExtendTheToken' => '\\Path\\pathStructType\\PathExtendTheToken',
            'ExtendTheTokenResponse' => '\\Path\\pathStructType\\PathExtendTheTokenResponse',
            'GetLoanFeeData' => '\\Path\\pathStructType\\PathGetLoanFeeData',
            'GetLoanFeeDataResponse' => '\\Path\\pathStructType\\PathGetLoanFeeDataResponse',
            'ResultFeeValues' => '\\Path\\pathStructType\\PathResultFeeValues',
            'ArrayOfFeeData' => '\\Path\\pathArrayType\\PathArrayOfFeeData',
            'FeeData' => '\\Path\\pathStructType\\PathFeeData',
            'UpdateLoanFeeData' => '\\Path\\pathStructType\\PathUpdateLoanFeeData',
            'UpdateLoanFeeDataResponse' => '\\Path\\pathStructType\\PathUpdateLoanFeeDataResponse',
            'AddNewLoanFeeData' => '\\Path\\pathStructType\\PathAddNewLoanFeeData',
            'AddNewLoanFeeDataResponse' => '\\Path\\pathStructType\\PathAddNewLoanFeeDataResponse',
            'DeleteLoanFeeData' => '\\Path\\pathStructType\\PathDeleteLoanFeeData',
            'DeleteLoanFeeDataResponse' => '\\Path\\pathStructType\\PathDeleteLoanFeeDataResponse',
            'AddDocument' => '\\Path\\pathStructType\\PathAddDocument',
            'AddDocumentResponse' => '\\Path\\pathStructType\\PathAddDocumentResponse',
            'GetDocumentList' => '\\Path\\pathStructType\\PathGetDocumentList',
            'GetDocumentListResponse' => '\\Path\\pathStructType\\PathGetDocumentListResponse',
            'ResultDocList' => '\\Path\\pathStructType\\PathResultDocList',
            'ArrayOfDocumentInfo' => '\\Path\\pathArrayType\\PathArrayOfDocumentInfo',
            'DocumentInfo' => '\\Path\\pathStructType\\PathDocumentInfo',
            'GetDocumentFile' => '\\Path\\pathStructType\\PathGetDocumentFile',
            'GetDocumentFileResponse' => '\\Path\\pathStructType\\PathGetDocumentFileResponse',
            'ResultDocFile' => '\\Path\\pathStructType\\PathResultDocFile',
        );
    }
}
